Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class ListTimeZones

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.ListTimeZones

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ListTimeZonesResult>, net.customware.gwt.dispatch.shared.Action<ListTimeZonesResult>

    public class ListTimeZones

extends java.lang.Object
implements OSAction<ListTimeZonesResult>

Returns the list of time-zone identifiers recognised by the Calendar Component. The entries in the returned list are possible values for the time-zone property of a Base Calendar.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`ListTimeZones(int empty)` Constructor.
`ListTimeZones(int empty, int detail)` Constructor
`ListTimeZones(int empty, int detail, java.lang.String locale)` Constructor

Method Summary
`int` | `getDetail()` Returns the detail
`int` | `getEmpty()` Returns empty.
`java.lang.String` | `getLocale()` getter for locale
`boolean` | `isDetailed()` Defines if requesting detailed TimeZone

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTimeZones

    public ListTimeZones(int empty)

  Constructor.

  Parameters:
    `empty` -

### ListTimeZones

    public ListTimeZones(int empty,
                         int detail)

  Constructor

  Parameters:
    `empty` -
    `detail` -

### ListTimeZones

    public ListTimeZones(int empty,
                         int detail,
                         java.lang.String locale)

  Constructor

  Parameters:
    `empty` -
    `detail` -
    `locale` -

Method Detail

### getEmpty

    public int getEmpty()

  Returns empty.

  Returns:
    Returns the empty.

### getDetail

    public int getDetail()

  Returns the detail

  Returns:

### isDetailed

    public boolean isDetailed()

  Defines if requesting detailed TimeZone

  Returns:

### getLocale

    public java.lang.String getLocale()

  getter for locale

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.